{{- range $key, $consumer := .Values.backend.consumers -}}
{{- if $consumer.enabled -}}
---
{{include "consumer.deployment" (list $ $consumer)}}
---
{{include "default.poddisruptionbudget" (list $ $consumer)}}
---
{{include "default.verticalpodautoscaler" (list $ $consumer)}}
---
{{include "default.ciliumnetworkpolicy" (list $ $consumer)}}
---
{{include "default.serviceaccount" (list $ $consumer)}}
---
{{include "default.servicemonitor" (list $ $consumer)}}
---
{{include "statsd.service" (list $ $consumer)}}
---
{{include "consumer.scaled_object" (list $ $consumer)}}
---
{{- end }}
{{- end }}